> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Void Sale

> Void Sale



## OpenAPI

````yaml post /order/sales-void
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /order/sales-void:
    post:
      tags:
        - Transactions
      summary: Void Sale
      description: Void Sale
      operationId: voidSale
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                merchant_key:
                  type: string
                  description: >-
                    The merchant's unique key. Returned in the `merchant_key`
                    field of the get merchants by client call.
                  example: '{{merchant_key}}'
                transaction_id:
                  type: string
                  description: >-
                    Unique transaction ID. Returned in the `transaction_id`
                    field of the Get Transactions (`GET /merchant/transactions`)
                    response.
                  example: txn_a7f0b5340a
                sub_merchant_key:
                  type: string
                  example: ''
              required:
                - amount
                - merchant_key
                - transaction_id
            examples:
              Void Sale:
                value:
                  merchant_key: '{{merchant_key}}'
                  transaction_id: txn_a7f0b5340a
                  sub_merchant_key: ''
      responses:
        '200':
          description: ''
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````